- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Macros | Functions
Plug

## Macros
#define | elm_obj_plug_image_object_get(ret) ELM_OBJ_PLUG_ID(ELM_OBJ_PLUG_SUB_ID_IMAGE_OBJECT_GET), EO_TYPECHECK(Evas_Object **, ret)
#define | elm_obj_plug_connect(svcname, svcnum, svcsys, ret) ELM_OBJ_PLUG_ID(ELM_OBJ_PLUG_SUB_ID_CONNECT), EO_TYPECHECK(const char *, svcname), EO_TYPECHECK(int, svcnum), EO_TYPECHECK(Eina_Bool, svcsys), EO_TYPECHECK(Eina_Bool *, ret)

## Functions
Evas_Object * | elm_plug_add (Evas_Object *parent)
| Add a new plug image to the parent. More...
Evas_Object * | elm_plug_image_object_get (const Evas_Object *obj)
| Get the basic Evas_Image object from this object (widget). More...
Eina_Bool | elm_plug_connect (Evas_Object *obj, const char *svcname, int svcnum, Eina_Bool svcsys)
| Connect a plug widget to service provided by socket image. More...

## Detailed Description

An object that allows one to show an image which other process created. It can be used anywhere like any other elementary widget.

This widget emits the following signals:

- "clicked": the user clicked the image (press/release). The `event` parameter of the callback will be `NULL`.
- "image,deleted": the server side was deleted. The `event` parameter of the callback will be `NULL`.
- "image,resized": the server side was resized. The `event` parameter of the callback will be `Evas_Coord_Size` (two integers).

Note
  the event "image,resized" will be sent whenever the server resized its image and this always happen on the first time. Then it can be used to track when the server-side image is fully known (client connected to server, retrieved its image buffer through shared memory and resized the evas object).

## Macro Definition Documentation

#define elm_obj_plug_connect | ( |  | svcname,
|  |  | svcnum,
|  |  | svcsys,
|  |  | ret
| ) |  | ELM_OBJ_PLUG_ID(ELM_OBJ_PLUG_SUB_ID_CONNECT), EO_TYPECHECK(const char *, svcname), EO_TYPECHECK(int, svcnum), EO_TYPECHECK(Eina_Bool, svcsys), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Connect a plug widget to service provided by socket image.

Parameters

  [in] | svcname |
  [in] | svcnum |
  [in] | svcsys |
  [out] | ret |

See Also
  elm_plug_connect

Referenced by elm_plug_connect().

#define elm_obj_plug_image_object_get | ( |  | ret | ) | ELM_OBJ_PLUG_ID(ELM_OBJ_PLUG_SUB_ID_IMAGE_OBJECT_GET), EO_TYPECHECK(Evas_Object **, ret)

Since
  1.8

Get the basic Evas_Image object from this object (widget).

Parameters

  [out] | ret |

See Also
  elm_plug_image_object_get

Referenced by elm_plug_image_object_get().

## Function Documentation

Evas_Object* elm_plug_add | ( | Evas_Object * | parent | ) |

Add a new plug image to the parent.

Parameters

  parent | The parent object

Returns
  The new plug image object or NULL if it cannot be created

Eina_Bool elm_plug_connect | ( | Evas_Object * | obj,
|  | const char * | svcname,
|  | int | svcnum,
|  | Eina_Bool | svcsys
| ) |  |

Connect a plug widget to service provided by socket image.

Parameters

  obj | The Evas_Object where the new image object will live.
  svcname | The service name to connect to set up by the socket.
  svcnum | The service number to connect to (set up by socket).
  svcsys | Boolean to set if the service is a system one or not (set up by socket).

Returns
  (`EINA_TRUE` = success, `EINA_FALSE` = error)

References elm_obj_plug_connect.

Evas_Object* elm_plug_image_object_get | ( | const Evas_Object * | obj | ) |

Get the basic Evas_Image object from this object (widget).

Parameters

  obj | The image object to get the inlined image from

Returns
  The inlined image object, or NULL if none exists

This function allows one to get the underlying `Evas_Object` of type Image from this elementary widget. It can be useful to do things like get the pixel data, save the image to a file, etc.

Note
  Be careful to not manipulate it, as it is under control of elementary.

References elm_obj_plug_image_object_get.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:14